%define anolis_release 4
Name:           perl-CPAN-DistnameInfo
Version:        0.12
Epoch:          1
Release:        %{anolis_release}%{?dist}
Summary:        Extract distribution name and version from a distribution filename
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/CPAN-DistnameInfo
Source0:        https://cpan.metacpan.org/authors/id/G/GB/GBARR/CPAN-DistnameInfo-%{version}.tar.gz
BuildRequires:  make
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.4
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Test::More)
BuildArch:      noarch

%description
Perl-CPAN-DistnameInfo is a Perl module that provides a simple interface for
parsing distribution (dist) names from the Comprehensive Perl Archive Network
(CPAN) website. This module is designed to make it easy for developers to
extract information about a CPAN distribution from its name, including the
author name, distribution name, and version number.

The module works by providing a single function, called parse_distname(),
which takes a CPAN distribution name as its argument and returns a hash
reference containing information about the distribution. The hash reference
contains three keys: 'author', 'dist', and 'version', which respectively
contain the author name, distribution name, and version number components
of the dist name.

In addition to the parse_distname() function, Perl-CPAN-DistnameInfo
also provides several utility functions for working with CPAN distribution
names. These include functions for converting a distribution name to a URL
on the CPAN website, and for converting author and distribution names to
their canonical forms.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n CPAN-DistnameInfo-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT

%check
make test

%files
%{perl_vendorlib}/CPAN/
%{_mandir}/man3/CPAN::DistnameInfo.3pm*

%files doc
%doc Changes README

%changelog
* Thu Apr 13 2023 Xuchun Shang <xuhcun.shang@linux.alibaba.com> - 1:0.12-4
- Update the description

* Wed Feb 08 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1:0.12-3
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:0.12-2
- rebuild with perl 5.36.0

* Wed Apr 20 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1:0.12-1
- init from upstream
